<?php
include '../conector.php';
session_start();
if(isset($_SESSION["user"]) && ($_SESSION["tipo"]=='R'||$_SESSION["tipo"]=='S'||$_SESSION["tipo"]=='B')){


  $class1="class=\"active\"";
  $class2="";
  $act2="";
  $act1=" active ";



if(isset($_POST['val4'])&&!empty($_POST['val4'])){
  $class4="class=\"active\"";
  $class3="";
  $class2="";
  $class1="";
  $act1="";
  $act2="";
  $act3="";  
  $act4=" active ";
/*  echo $_POST['indice4']."<br>";
  echo $_POST['pensum4']."<br>";  
  echo $_POST['periodo4']."<br>";    
  */
  
      
    	if($_POST['val4']==4){
	echo $_POST['periodo4']."<br>";
	echo $_POST['pensum4']."<br>";
	echo $_POST['indice4']."<br>";		
	echo $_POST['tipoa_4']."<br>";  	
	echo $_POST['c1a_4']."<br>";
	echo $_POST['c2a_4']."<br>";
	echo $_POST['c3a_4']."<br>";		
	echo $_POST['conceptoa4']."<br>";  	
	
	$select_periodo_cons="select anno,periodo from planilla where id=".$_POST['periodo4']." ";
	$res_select_periodo_cons=mysql_query($select_periodo_cons);
	$res_sce_cons=mysql_fetch_array($res_select_periodo_cons);

	$nota_cons=round((($_POST['c1a_4']+$_POST['c2a_4']+$_POST['c3a_4'])/3),0);
	
	$insertar_nota_consulta="insert into planilla_detalle (planilla,anno,periodo,codigo_pensum,codigo_est,tipo_nota,comp_1,comp_2,comp_3,concepto,nota,fecha_insert,estado,def)
	values( 
	".$_POST['periodo4'].",'".$res_sce_cons[0]."',".$res_sce_cons[1].",'".$_POST['pensum4']."','".$_POST['indice4']."','".$_POST['tipoa_4']."',".$_POST['c1a_4'].",".$_POST['c2a_4'].",".$_POST['c3a_4'].",
	'".$_POST['conceptoa4']."',$nota_cons,now(),'A',$nota_cons
	)
	";
	mysql_query($insertar_nota_consulta)or die(mysql_error());
	$men="<div class=\"alert alert-success\">
	                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
	                    Nota Insertada!
				</div>";
		
	

  	
  	}
  
  	if($_POST['val4']==3){
  	$borrar_nota="delete from planilla_detalle where planilla_detalle.id=".$_POST['planilla4']." ";
  	mysql_query($borrar_nota)or die(mysql_error());
	$men="<div class=\"alert alert-success\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Nota Borrada
			</div>";
  	
  	
  	
  	}
  	if($_POST['val4']==2){
  	
/*	echo $_POST['fecha_obs_doc4']." fecha_obs_doc4<br>";
  	echo $_POST['valor14']." valor14<br>";
  	echo $_POST['valor24']." valor24<br>";  	  	
  	
  	echo $_POST['estudiante4']." estudiante4<br>";
  	echo $_POST['pensum4']." pensum4<br>";
  	echo $_POST['periodo4']." periodo4<br>";  	  	
  	echo $_POST['docente4']." docente4<br>";
  	echo $_POST['asignatura4']." asignatura4<br>";
  	echo $_POST['nota4']." nota4<br>";*/

	$insert_ods_doc="insert into observacion_docente  
	(estudiante,problema,correctivo,fecha_ocurrencia,asignatura,docente,planilla,pensum,estado,fecha_insert) values
	(".$_POST['estudiante4'].",'".$_POST['valor14']."','".$_POST['valor24']."','".$_POST['fecha_obs_doc4']."',".$_POST['asignatura4'].",".$_POST['docente4'].",
	".$_POST['periodo4'].",".$_POST['pensum4'].",'A',now()
	)";
//	echo $insert_ods_doc;
	
	if(mysql_query($insert_ods_doc)){
	$men="<div class=\"alert alert-success\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Observacion del Docente Insertada
			</div>";
	}
	else{
	$men="<div class=\"alert alert-danger\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Observacion no pudo ser Insertada - ".mysql_error()."
			</div>";
	
	}
	
	
  	
  	}
	if($_POST['val4']==1||$_POST['val4']==2||$_POST['val4']==3||$_POST['val4']==4){

	$select_obs_doc="
	select *
	from observacion_docente
	where 
	 observacion_docente.estudiante=".$_POST['estudiante4']."
	and observacion_docente.planilla=".$_POST['periodo4']."
	and observacion_docente.asignatura=".$_POST['asignatura4']."
	and observacion_docente.pensum=".$_POST['pensum4']."	
	and observacion_docente.docente=".$_POST['docente4']."		
	order by fecha_ocurrencia";

	$rs_select_obs_doc=mysql_query($select_obs_doc);


	
	$select_datos_basicos="select estudiante.nombre,curso.nombre,
	  			(select nombre_archivo from upload where upload.codigo=estudiante.estudiante_id and clase='F') 
				from estudiante,curso 
				where curso.curso_id=estudiante.curso_id
				and estudiante_id=".$_POST['estudiante4']."  ";
//	$res_select_datos_basicos=mysql_query($select_datos_basicos);

		
	$select_periodo="select anno,periodo from planilla where id=".$_POST['periodo4']." ";
//	$res_select_periodo=mysql_query($select_periodo);
//	$res_selp=mysql_fetch_array($res_select_periodo);

		
	$select_asig="select asignatura.sigla,asignatura.nombre from asignatura,pensum where asignatura.subject_id=pensum.asignatura_id and pensum.subject_id=".$_POST['pensum4']." ";
//	$res_select_asig=mysql_query($select_asig);
//	$res_selas=mysql_fetch_array($res_select_asig);

	
		$tabla_obs_doc.="<div class='table-responsive'>	
		<table class='table table-striped table-bordered '  width='98%'>
		<tr><th width='10%'>Fecha</th><th>Sit. Problema</th><th>Correctivos</th></tr>
		";
		while($r_sod=mysql_fetch_array($rs_select_obs_doc)){
		$tabla_obs_doc.="
		<tr style='font-size:1em'>
		<td>".date("d-m-Y", strtotime(substr($r_sod[4],0,10)))."</td>
		<td>".$r_sod[2]."</td>
		<td>".$r_sod[3]."</td>
		</tr>
		";
		}
		$tabla_obs_doc.="
		</table>		
		</div>	";
				
				
		$tabla_ins_obs_doc="
								 
					 				
					";





	}
}

if(isset($_POST['val3'])&&!empty($_POST['val3'])){
  $class3="class=\"active\"";
  $class2="";
  $class1="";
  $act1="";
  $act2="";
  $act3=" active ";
  if($_POST['val3']==4){
  $borra_logro="delete from logros_estudiante where id=".$_POST['logro3']." ";

  	if(mysql_query($borra_logro)){;
	$men="<div class=\"alert alert-success\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Logro Borrado Satisfactoriamente                
			</div>";
	}else{
	
		$men="<div class=\"alert alert-danger\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Logro no pudo ser borrado.                
			</div>";

	
	}  
  
  }
  if($_POST['val3']==3){
  $inserta_logro="insert into logros_estudiante (id_estudiante,id_logro,fecha_insert) 
  values ('".$_POST['estudiante3']."','".$_POST['logro3']."',now())";
  	if(mysql_query($inserta_logro)){;
	$men="<div class=\"alert alert-success\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Logro Insertado                
			</div>";
	}else{
	
		$men="<div class=\"alert alert-danger\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Logro ya existe para este Periodo.                
			</div>";

	
	}
  
  }
  if($_POST['val3']==2||$_POST['val3']==3||$_POST['val3']==4){
	
	$select_logro="
	select logros_estudiante.id,logros.descripcion,estudiante.nombre,logros.pensum,logros.asignatura,
	(select asignatura.nombre from asignatura where asignatura.subject_id=logros.asignatura	),
	(select curso.codigo from curso where curso.curso_id=logros.curso)
	from logros,estudiante,logros_estudiante 
	where logros_estudiante.id_estudiante=estudiante.estudiante_id
	and logros_estudiante.id_logro=logros.Id
	and logros_estudiante.id_estudiante=".$_POST['estudiante3']."
	and logros.planilla=".$_POST['periodo3']."
	and logros.asignatura=".$_POST['asignatura3']."
	and logros.pensum=".$_POST['pensum3']."	
	and logros.docente=".$_POST['docente3']."		
	order by descripcion";   
	$rs_select_logro=mysql_query($select_logro);

			$tabla_sel_logros="
					
					";
			$tabla_logros="
					<fieldset>
					<div class='table-responsive'>
					<table class='table table-striped table-bordered '  width='98%'>
					<thead>
						<tr role='row' style='font-size:12px'>
							<td>Estudiante</td>				
							<td>Logro</td>
							<td>Curso</td>											
							<td>Asignatura</td>
						</tr>
					</thead>
					<tbody>";
					while($rs_sel_log=mysql_fetch_array($rs_select_logro)){
						
																					
					$tabla_logros.="<tr role='row' style='font-size:12px'>
					
					<td>
						$rs_sel_log[2]
					</td>
					<td>
						$rs_sel_log[1]
					</td>
					<td>
						$rs_sel_log[6]
					</td>
					<td>
						$rs_sel_log[5]
					</td>
					
					</tr>";
					}
					$tabla_logros.="</tbody></table>
					</div>
					</fieldset>
					";




  }

 if($_POST['val3']==1){
 	
 	$actualizar_estudiante="
 	update estudiante
 	set
 	nombre=UPPER('".$_POST['nombre_estudiante3']."'),
 	f_nacimiento='".$_POST['fecha_nacimiento3']."',
 	sexo='".$_POST['sexo3']."',
 	religion='".$_POST['religion3']."',
 	grupo_sangre='".$_POST['grupo_sangre3']."',
 	direccion='".$_POST['direccion3']."',
 	telefono='".$_POST['telefono3']."',
 	correo='".$_POST['correo3']."',
 	nombre_padre=UPPER('".$_POST['padre3']."'),
 	nombre_madre=UPPER('".$_POST['madre3']."'),
 	nombre_asistente=UPPER('".$_POST['acudiente3']."'),
 	curso_id='".$_POST['l_curso23']."'  	
 	where
 	estudiante_id=".$_POST['indice3']."
 	";
 	
	mysql_query($actualizar_estudiante)or die(mysql_error());
	$men="<div class=\"alert alert-success\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Estudiante Actualizado                
			</div>";

	if(isset($_FILES["archivo_"])&&!empty($_FILES["archivo_"])){
		
		$tamano2 = $_FILES["archivo_"]['size'];
		$tipo2 = $_FILES["archivo_"]['type'];
		$archivo2 = $_FILES["archivo_"]['name'];
		$prefijo2 = substr(md5(uniqid(rand())),0,6);

/*		echo "<br>archivo -".$archivo;
		echo "<br>tam -".$tamano;
		echo "<br>tipo -".$tipo;		
		echo "<br>pref -".$prefijo;   */
		
		if ($archivo2 != "") {
		// guardamos el archivo a la carpeta files

		//$destino = "upload/".$prefijo."_".$archivo;
		
		$destino2 = "../img/foto/".$archivo2;
		if (copy($_FILES['archivo_']['tmp_name'],$destino2)) {
		$status2 = "Archivo subido: <b>".$archivo2."</b>";
		} else {
		$status2 = "Error al subir el archivo";
		}
		} else {
		$status2 = "Error al subir archivo";
		}	
		$query2 = "INSERT INTO upload (codigo,nombre_archivo,tipo,tamano,clase) ".
		"VALUES ('".$_POST[indice3]."','$archivo2', '$tipo2', '$tamano2','F')";
		$query3 = "update upload set 	nombre_archivo='".$archivo2."',
						tipo='".$tipo2."',
						tamano=".$tamano2.",
						clase='F'
					where
					codigo='".$_POST[indice3]."'	";
		if(!empty($archivo2)){

		if(mysql_query($query2)){}else{

		mysql_query($query3) or die('Error, Actualizando Foto');}
		//mysql_query($query2) or die('Error, query failed');
		} 			
	}



 }
}

if(isset($_POST['val1'])&&!empty($_POST['val1'])){

if($_POST['val1']==6){

//echo $_POST['componente1']." c1<br>";
//echo $_POST['componente2']." c2<br>";
//echo $_POST['componente3']." c3<br>";
if (is_null($_POST['componente1'])||$_POST['componente1']==''){$_POST['componente1']=0;}
if (is_null($_POST['componente2'])||$_POST['componente2']==''){$_POST['componente2']=0;}
if (is_null($_POST['componente3'])||$_POST['componente3']==''){$_POST['componente3']=0;}


$nota_pro=round((($_POST['componente1']+$_POST['componente2']+$_POST['componente3'])/3),0);


$update_planilla_detalle="update planilla_detalle set
		concepto='".$_POST['concepto']."',
		comp_1=".$_POST['componente1'].",
		comp_2=".$_POST['componente2'].",
		comp_3=".$_POST['componente3'].",
		nota=".$nota_pro."

		where 
		planilla_detalle.id=".$_POST['pd_1a']." ";

//echo $update_planilla_detalle."<br>";


	mysql_query($update_planilla_detalle)or die(mysql_error());
	
	$men="<div class=\"alert alert-success\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Nota Actualizada Satisfactoriamente.
			</div>";



}

if($_POST['val1']==5||$_POST['val1']==6	){
//	echo $_POST['pen1']."pensum<br>";echo $_POST['per1']." periodo<br>";echo $_POST['doc1']." docente<br>";echo $_POST['sel_tipo_nota_1a']." id nota<br>";echo $_POST['val1']." val1<br>";
	$tabla_notas="select 
	planilla_detalle.id,estudiante.nombre,
	(select nombre_archivo from upload where upload.codigo=estudiante.estudiante_id and clase='F') as foto,
	planilla_detalle.id,
	planilla_detalle.tipo_nota,
	planilla_detalle.comp_1,
	planilla_detalle.comp_2,
	planilla_detalle.comp_3,
	planilla_detalle.concepto,
	planilla_detalle.nota,
	id_nota.registro,
	estudiante.estudiante_id,
	id_nota.Id
	from planilla_detalle,id_nota,estudiante			
	where planilla_detalle.id_nota=id_nota.id
	and planilla_detalle.codigo_est=estudiante.estudiante_id
	and id_nota.id=".$_POST['sel_tipo_nota_1a']."  ";
	
	$rs_tabla_notas=mysql_query($tabla_notas);
	$select_cur_mat="select  	 
			curso.codigo,asignatura.nombre, curso.nombre
			from estudiante,pensum,curso,asignatura
			where pensum.subject_id=".$_POST['pen1']."
			and estudiante.curso_id=pensum.class_id
			and curso.curso_id=estudiante.curso_id
			and asignatura.subject_id=pensum.asignatura_id
			and pensum.estado='A'
			order by estudiante.nombre";
	$rs_select_cur_mat=mysql_query($select_cur_mat);
	$rs_scurmat=mysql_fetch_array($rs_select_cur_mat);
	$select_per_plan="select * from planilla where id=".$_POST['per1']." ";
	$rs_select_per_plan=mysql_query($select_per_plan);
	$rs_per_plan=mysql_fetch_array($rs_select_per_plan);
	
	
	
	//echo $select_per_plan."<br>"; 				
				$tabla_res="
					<table class='table table-striped table-bordered ' width='100%'>
						<tr role='row' style='font-size:14px' >
							<th>Periodo: $rs_per_plan[1] - $rs_per_plan[2]</th>
							<th>Curso: $rs_scurmat[2] ($rs_scurmat[0])</th>
							<th>Materia: $rs_scurmat[1]</th>							
						</tr>							
					</table>
					<div class='table-responsive'>
					<table class='table table-striped table-bordered ' width='100%'>
					<thead>
						<tr role='row' style='font-size:12px'>
							<td>Registro</td>				
							<td>Foto</td>				
							<td>Nombre</td>
							<td>Tipo Nota</td>								
							<td>Concepto</td>				
							<td>C1</td>				
							<td>C2</td>				
							<td>C3</td>				
							<td>Prom.</td>							
							<td>&nbsp;</td>								
						</tr>
					</thead>
					<tbody>";
					while($r_tres=mysql_fetch_array($rs_tabla_notas)){
						
					$sel_nro_obs="select count(*) from observacion_docente where 
							planilla=".$_POST['per1']."
							and pensum=".$_POST['pen1']."
							and estudiante=".$r_tres[11]."
							and estado='A'
							 ";
					$res_sel_nro_obs=mysql_query($sel_nro_obs);
					$nro_obs=mysql_fetch_array($res_sel_nro_obs);
					
					
					$sel_nro_log="select
							count(*)
							from 
							logros_estudiante,logros
							where
							logros_estudiante.id_logro=logros.Id
							and logros_estudiante.id_estudiante=".$r_tres[11]."
							and logros.planilla=".$_POST['per1']."
							and logros.pensum=".$_POST['pen1']." ";
					$res_sel_nro_log=mysql_query($sel_nro_log);
					$nro_log=mysql_fetch_array($res_sel_nro_log);
					
					
					
					if(!empty($r_tres[2])&&isset($r_tres[2])){$foto_res="<div align=center><img style='
						border-radius: 50%;
						-moz-border-radius: 50%;
						-webkit-border-radius: 50%;
						-khtml-border-radius: 50%;
						border: 2px solid #cee6fb;
						 overflow: hidden;'  src='../img/foto/".$r_tres[2]."' width='50px' height='50px' ></div>";}
					else{$foto_res="<div align=center><img style='
						border-radius: 50%;
						-moz-border-radius: 50%;
						-webkit-border-radius: 50%;
						-khtml-border-radius: 50%;
						border: 2px solid #cee6fb;
						 overflow: hidden;'  src='../img/foto/anon.png' width='50px' height='50px' ></div>";}
					
					if($r_tres[4]=='D'){$tipo_nota_desc='Reg. Diario';}
					if($r_tres[4]=='I'){$tipo_nota_desc='Proc-Intermedios';}
					if($r_tres[4]=='F'){$tipo_nota_desc='Exam. Final';}					
					if($r_tres[4]=='IP'){$tipo_nota_desc='Prof. Proc-Intermedios';}
					if($r_tres[4]=='FP'){$tipo_nota_desc='Prof. Exam. Final';}	
					if($r_tres[4]=='C1'){$tipo_nota_desc='Credito 1';}	
					if($r_tres[4]=='C2'){$tipo_nota_desc='Credito 2';}	
					if($r_tres[4]=='CG'){$tipo_nota_desc='Credito G11';} 																
					$tabla_res.="<tr role='row' style='font-size:12px;'>
					<td>
						$r_tres[10]
					</td>
					<td>".$foto_res."</td>
					<td>".$r_tres[1]."</td>
					<td style='vertical-align: middle;'>
						<input type='text' id='tipo_nota-".$r_tres[0]."' name='tipo_nota-".$r_tres[0]."' value='$tipo_nota_desc' size='10' disabled>					
					</td>
					<td style='vertical-align: middle;'>					
						<input type='text' id='concepto-".$r_tres[0]."' name='concepto-".$r_tres[0]."' value='$r_tres[8]'  size='15' >					
					</td>
					<td style='vertical-align: middle;'>					
						<input type='text' id='comp1-".$r_tres[0]."' name='comp1-".$r_tres[0]."' value='$r_tres[5]' maxlength='3' size='1' onblur='validarSiNumero(this.value,this.id)' >
					</td>
					<td style='vertical-align: middle;'>
						<input type='text' id='comp2-".$r_tres[0]."' name='comp2-".$r_tres[0]."' value='$r_tres[6]' maxlength='3' size='1' onblur='validarSiNumero(this.value,this.id)'>
					</td>
					<td style='vertical-align: middle;'>					
						<input type='text' id='comp3-".$r_tres[0]."' name='comp3-".$r_tres[0]."' value='$r_tres[7]' maxlength='3' size='1' onblur='validarSiNumero(this.value,this.id)'>					
					</td>
					<td style='vertical-align: middle;'>					
						<input type='text' id='prom-".$r_tres[0]."' name='prom-".$r_tres[0]."' value='$r_tres[9]' maxlength='3' size='1' disabled>					
					</td>
					<td style='vertical-align: middle;'>
					<a class='btn btn-info btn-xs ' name='".$r_tres[11]."' id='".$r_tres[11]."'  onclick='mostrar_l(this.id,".$_POST['pen1'].",".$_POST['per1']."				
					,".$_POST['doc1'].",".$_POST['mat1'].",document.getElementById(\"sel_tipo_nota\").value)' >
                			<span class='badge pull-right' style='vertical-align: middle;'> $nro_log[0] </span>  
			                Logros &nbsp;</a>
			                <a class='btn btn-warning btn-xs ' name='".$r_tres[11]."' id='".$r_tres[11]."'  onclick='mostrar_o(this.id,".$_POST['pen1'].",".$_POST['per1']."				
					,".$_POST['doc1'].",".$_POST['mat1'].",document.getElementById(\"sel_tipo_nota\").value)' >
<span class='badge pull-right' style='vertical-align: middle;'> $nro_obs[0] </span> Obs &nbsp;</a>
					</td></tr>";
					}
					$tabla_res.="</tbody></table>
					</div>
					";



}
if($_POST['val1']==4){
/*echo $_POST['pen1']."pensum<br>";echo $_POST['per1']." periodo<br>";echo $_POST['doc1']." docente<br>";echo $_POST['sel_tipo_nota_1a']." id nota<br>";echo $_POST['val1']." val1<br>";*/
	$borrar_nota_planilla="delete from planilla_detalle where planilla_detalle.id_nota=".$_POST['sel_tipo_nota_1a']." ";
	mysql_query($borrar_nota_planilla)or die(mysql_error());
	
	$update_notaid="update id_nota set estado='B' where id=".$_POST['sel_tipo_nota_1a']." ";
	mysql_query($update_notaid)or die(mysql_error());
	
	$men="<div class=\"alert alert-success\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Nota Borrada Satisfactoriamente.
			</div>";
}
if($_POST['val1']==3){
     /* 	echo $_POST['pen_1a']."<br>";  	echo $_POST['per_1a']."<br>";      	echo $_POST['tipo_nota_1a']."<br>";      	echo $_POST['concepto_1a']."<br>";    */
     
	$select_anno="select anno,periodo from planilla where id='".$_POST['per_1a']."' ";
	$rs_select_anno=mysql_query($select_anno);	
	$rs_anno = mysql_fetch_array($rs_select_anno);	
	$year=$rs_anno[0];
	$peri=$rs_anno[1];
	
	$sec[0]=0;	
	if($_POST['tipo_nota_1a']=='D'){
	$sql_sec="select max(registro)+1 from id_nota
			where
			pensum='".$_POST['pen_1a']."'
			and per_id='".$_POST['per_1a']."'
			and codigo='D'
			and estado='A'
			";     
	$rs_sec=mysql_query($sql_sec);	
	$num_filas = mysql_num_rows($rs_sec);	
	//echo "<br>query: ".$sql_sec;
	//echo "<br>num filas: ".$num_filas;
	$sec=mysql_fetch_array($rs_sec);
	if(!isset($sec[0])||$sec[0]==0){$sec[0]=1;}			
	}else{
	$select_contador="select count(*) from id_nota
			where
			pensum='".$_POST['pen_1a']."'
			and per_id='".$_POST['per_1a']."'
			and codigo='".$_POST['tipo_nota_1a']."'
			and estado='A'";
	$rs_select_contador=mysql_query($select_contador);	
	$rs_sc=mysql_fetch_array($rs_select_contador);	
	}
		
      	$sql_inserta_nota="insert into id_nota (codigo,concepto,pensum,per_id,fecha_insert,registro,anno)
      	values ('".$_POST['tipo_nota_1a']."','".$_POST['concepto_1a']."','".$_POST['pen_1a']."','".$_POST['per_1a']."',now(),".$sec[0].",'".$year."')	";
      	
      //	mysql_query($sql_inserta_nota)or die(mysql_error());
      	$sql_select_estudiantes="
      	select 	estudiante.estudiante_id,
      		estudiante.nombre,
      		pensum.*,
      		curso.*
		from estudiante,pensum,curso
		where
		estudiante.curso_id=curso.curso_id
		and pensum.class_id=curso.curso_id
		and pensum.subject_id=".$_POST['pen_1a']."
      	";
      	$rs_select_estudiantes=mysql_query($sql_select_estudiantes);
      	//$num_rows = mysql_num_rows($rs_select_estudiantes);
      	
      	$sql_select_periodo="select anno,periodo from planilla where id=".$_POST['per_1a']."  ";
      	$rs_select_periodo=mysql_query($sql_select_periodo);
      	$rs_sper=mysql_fetch_array($rs_select_periodo);
      	$rs_anno=$rs_sper[0];
      	$rs_per=$rs_sper[1];
      	
      	$sql_select_curso="
      	select 	count(*)
		from pensum,curso
		where
		pensum.class_id=curso.curso_id
		and curso.codigo like '%11%'
		and pensum.subject_id=".$_POST['pen_1a']."   	";
		
      	$rs_select_curso=mysql_query($sql_select_curso);
   	$rs_scur=mysql_fetch_array($rs_select_curso);
   	
   	if($rs_scur[0]==0 && $_POST['tipo_nota_1a']=='CG'){      			
   			$men="<div class=\"alert alert-danger\">
	                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
	                    Cr&eacute;dito solo para grado 11              
				</div>";
				}
      	else{
      	
      			$rs_sc2=0;
      			if($_POST['tipo_nota_1a']=='CG')
      			{
      			$select_contador2="select count(*) from id_nota
			where
			pensum='".$_POST['pen_1a']."'
			and anno='".$year."'
			and codigo='".$_POST['tipo_nota_1a']."'
			and estado='A'";

		   	$rs_select_contador2=mysql_query($select_contador2);
   			$rs_sc2=mysql_fetch_array($rs_select_contador2);  
   			} 	
      	

		if($rs_sc[0]>0){		
	      			$men="<div class=\"alert alert-danger\">
		                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
		                    No puede insertar mas de un ex&aacute;men del mismo tipo              
					</div>";
		}
	      	else{	
	      		if($rs_sc2[0]==0){
	      		
					if($peri<4  && $_POST['tipo_nota_1a']=='CG'){
						$men="<div class=\"alert alert-danger\">
					                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
					                    Credito para grado 11 se debe elegir en el 4to. Periodo
								</div>";
					
					}
	      				elseif(($peri==4  && $_POST['tipo_nota_1a']=='CG')||$_POST['tipo_nota_1a']=='C1'||$_POST['tipo_nota_1a']=='C2'||$_POST['tipo_nota_1a']=='FP'||$_POST['tipo_nota_1a']=='IP'||$_POST['tipo_nota_1a']=='I'||$_POST['tipo_nota_1a']=='F'||$_POST['tipo_nota_1a']=='D')
	      				{
					      	if(mysql_query($sql_inserta_nota)){
								if(mysql_affected_rows()>0){
								$ultimo_indice=mysql_insert_id();
								
								while($r_sest=mysql_fetch_array($rs_select_estudiantes)){		
								$insertar_nota_consulta="insert into planilla_detalle (planilla,anno,periodo,codigo_pensum,codigo_est,tipo_nota,comp_1,comp_2,comp_3,concepto,nota,fecha_insert,estado,id_nota,def)
								values( 
								".$_POST['per_1a'].",'".$rs_anno."',".$rs_per.",'".$_POST['pen_1a']."','".$r_sest[0]."','".$_POST['tipo_nota_1a']."',null,null,null,
								'".$_POST['concepto_1a']."',null,now(),'A',$ultimo_indice,0
								)
								";
								mysql_query($insertar_nota_consulta) or die(mysql_error());
								//echo $insertar_nota_consulta." -- query inserta<br>";
								}
								/*echo $ultimo_indice." ultimo indice<br>";echo $num_rows." columnas<br>";echo $_POST['per_1a']."periodo <br>";*/
					      			}
					      	}
						$men="<div class=\"alert alert-success\">
					                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
					                    Nota Insertada                
								</div>";
					}							
						
			}
			if($rs_sc2[0]>0){
				$men="<div class=\"alert alert-danger\">
			                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
			                    Credito para grado 11 ya existe para esta materia en ".$year."               
						</div>";
			
			
			}			
		}
	}	
}
if($_POST['val1']==2){

$select_periodo="select anno,periodo from planilla where id=".$_POST['per1']." ";
$res_select_periodo=mysql_query($select_periodo);
$res_sce=mysql_fetch_array($res_select_periodo);


if (is_null($_POST['componente1'])){$_POST['componente1']=0;}
if (is_null($_POST['componente2'])){$_POST['componente2']=0;}
if (is_null($_POST['componente3'])||!isset($_POST['componente3'])){$_POST['componente3']=0;}

$nota=round((($_POST['componente1']+$_POST['componente2']+$_POST['componente3'])/3),0);

$insertar_nota="insert into planilla_detalle (planilla,anno,periodo,codigo_pensum,codigo_est,tipo_nota,comp_1,comp_2,comp_3,concepto,nota,fecha_insert,estado,def)
values( 
".$_POST['per1'].",'".$res_sce[0]."',".$res_sce[1].",'".$_POST['pen1']."','".$_POST['estudiante']."','".$_POST['tipo_nota']."',".$_POST['componente1'].",".$_POST['componente2'].",".$_POST['componente3'].",
'".$_POST['concepto']."',$nota,now(),'A',$nota )";



echo $insertar_nota."<br>";
mysql_query($insertar_nota)or die(mysql_error());
$men="<div class=\"alert alert-success\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Nota Insertada!
			</div>";			
 }
 if($_POST['val1']==1||$_POST['val1']==2||$_POST['val1']==3||$_POST['val1']==4||$_POST['val1']==5||$_POST['val1']==6){

 $select_curso_est="select estudiante.estudiante_id,estudiante.nombre,(select nombre_archivo from upload where upload.codigo=estudiante.estudiante_id and clase='F') as foto,
 			 curso.codigo,asignatura.sigla 
			from estudiante,pensum,curso,asignatura
			where pensum.subject_id=".$_POST['pen1']." 
			
			and estudiante.curso_id=pensum.class_id
			and curso.curso_id=estudiante.curso_id
			and asignatura.subject_id=pensum.asignatura_id
			and pensum.estado='A'
			order by estudiante.nombre";
			//and pensum.teacher_id=".$_POST['doc1']." 
 $res_select_curso_est=mysql_query($select_curso_est);
				$tabla_crea_nota="
				<div class='table-responsive' align='center' style='margin:5px auto'>
				
							
					<table class='table table-striped table-bordered ' style='width:70%;'>
					<tr style='font-size:12px'>
						<td>	
						<div align='center'>
							<b>Seleccione Nota: </b>
						
							<select id='sel_tipo_nota' name='sel_tipo_nota'  style='width:50%; margin:1px 5px'>";
								$select_nota_nueva="select id_nota.codigo,id_nota.concepto,id_nota.pensum,id_nota.per_id,id_nota.id ,id_nota.registro,nota.nombre
								from id_nota,nota
								 where nota.codigo=id_nota.codigo
								and pensum=$_POST[pen1]
								and per_id=$_POST[per1]
								and id_nota.estado='A'
								order by nota.Id,id_nota.fecha_insert";
								//echo $select_nota_nueva;
								$res_select_nota_nueva=mysql_query($select_nota_nueva);
								$tabla_crea_nota.="<option value='XX' >...</option>";

								while($r_sntan=mysql_fetch_array($res_select_nota_nueva)){
									$sel1='  ';
									if($_POST['sel_tipo_nota_1a']==$r_sntan[4]){$sel1=' selected ';}
										if($r_sntan[0]=='D'){									
										$tabla_crea_nota.='<option style="font-size:9px" value="'.$r_sntan[4].'"  '.$sel1.'>'.$r_sntan[0].' - Registro '.$r_sntan[5].'</option>';
										}else{
										$tabla_crea_nota.='<option style="font-size:9px" value="'.$r_sntan[4].'"  '.$sel1.'>'.$r_sntan[0].' - '.$r_sntan[6].'</option>';
										}
									
								}
								
								$tabla_crea_nota.="</select>
								
							<a class='btn btn-info btn-xs' name='editar_1' id='editar_1'  onclick='if(document.getElementById(\"sel_tipo_nota\").value!=\"XX\"){listar_nota_nueva(".$_POST['pen1'].",".$_POST['per1']."				
							,".$_POST['doc1'].",".$_POST['mat1'].",0)}else{alert(\"Debe Seleccionar una Nota\")}' ><i class='glyphicon glyphicon-edit icon-white'></i> Editar</a>									
							
									

						</div>
						</td>
					</tr>
					</table>	
				
				
				
				
				<div id='tabla_nueva'   style='display: none'>
					<table class='table table-striped table-bordered ' style='width:50%;'>
					<tr style='font-size:12px'>
						<th>Tipo Nota</th><th>Concepto</th><th>&nbsp;</th>
					</tr>
					<tr style='font-size:12px'>
						<td>
							<select id='tipo_nota_1' name='tipo_nota_1' onchange='if(this.value!=\"XX\"&&this.value!=\"D\"){
							if(this.value==\"I\"){document.getElementById(\"concepto_1\").value = \"Proc-Intermedios\";}
							if(this.value==\"F\"){document.getElementById(\"concepto_1\").value = \"Examen Final\";}
							if(this.value==\"IP\"){document.getElementById(\"concepto_1\").value = \"Prof. Proc-Intermedios\";}
							if(this.value==\"FP\"){document.getElementById(\"concepto_1\").value = \"Prof. Final\";}
							if(this.value==\"C1\"){document.getElementById(\"concepto_1\").value = \"Credito 1\";}
							if(this.value==\"C2\"){document.getElementById(\"concepto_1\").value = \"Credito 2\";}
							if(this.value==\"CG\"){document.getElementById(\"concepto_1\").value = \"Credito G 11\";}
							
							}else{
							document.getElementById(\"concepto_1\").value = \"\";
							}   '>";
								$select_nota_nueva='select * from nota order by Id';
								$res_select_nota_nueva=mysql_query($select_nota_nueva);
								$tabla_crea_nota.="<option value='XX' >Seleccione...</option>";

								while($r_sntan=mysql_fetch_array($res_select_nota_nueva)){
									$sel1='  ';
									//if($_POST['area']==$r_ar[0]){$sel1=' selected ';}
									//echo "hola";
									$tabla_crea_nota.='<option style="font-size:9px" value="'.$r_sntan[1].'"  '.$sel1.'>'.$r_sntan[2].'</option>';
								}
								
								$tabla_crea_nota.="</select>
						</td>
						<td>
							<input type='text' id='concepto_1' name='concepto_1' value=''>
						</td>
						<td>
							<a class='btn btn-info btn-xs' name='guardar_1' id='guardar_1'  onclick='guardar_nota_nueva(".$_POST['pen1'].",".$_POST['per1']."				
					,".$_POST['doc1'].",".$_POST['mat1'].")'><i class='glyphicon glyphicon-floppy-disk icon-white'></i> Nueva Nota</a>
						</td>
					</tr>
					</table>
					</div>
					
					
						
					
				</div>	
				";	
	
				
				
					$tbody="<tbody>";
					while($r_sce=mysql_fetch_array($res_select_curso_est)){
					if(!empty($r_sce[2])&&isset($r_sce[2])){$foto="<div align=center><img style='border-radius: 100px;
						-moz-border-radius: 100px;
						-webkit-border-radius: 100px;
						-khtml-border-radius: 100px;
						 overflow: hidden;'  src='../img/foto/".$r_sce[2]."' width='65px' height='65px' ></div>";}
					else{$foto="<div align=center><img style='border-radius: 100px;
						-moz-border-radius: 100px;
						-webkit-border-radius: 100px;
						-khtml-border-radius: 100px;
						 overflow: hidden;'  src='../img/foto/anon.png' width='65px' height='65px' ></div>";}
					
					
					
					$tbody.="<tr role='row' style='font-size:12px'>
					<td style='vertical-align: middle;'>".$r_sce[3]."</td>
					<td style='vertical-align: middle;'>".$r_sce[4]."</td>
					<td style='vertical-align: middle;'>".$foto."</td>
					<td style='vertical-align: middle;'>".$r_sce[1]."</td>
					<td style='vertical-align: middle;'>
						<select id='tipo_nota-".$r_sce[0]."' name='tipo_nota-".$r_sce[0]."'>
							<option value='D'>Reg.Diario</option>
							<option value='I'>Ex. Int.</option>							
							<option value='F'>Ex. Final</option>							
						</select>
					</td>
					<td style='vertical-align: middle;'>					
						<input type='text' id='comp1-".$r_sce[0]."' name='comp1-".$r_sce[0]."' value='' maxlength='3' size='1'>
					</td>
					<td style='vertical-align: middle;'>
						<input type='text' id='comp2-".$r_sce[0]."' name='comp2-".$r_sce[0]."' value='' maxlength='3' size='1'>
					</td>
					<td style='vertical-align: middle;'>					
						<input type='text' id='comp3-".$r_sce[0]."' name='comp3-".$r_sce[0]."' value='' maxlength='3' size='1'>					
					</td>
					<td style='vertical-align: middle;'>					
						<input type='text' id='concepto-".$r_sce[0]."' name='concepto-".$r_sce[0]."' value=''  size='15'>					
					</td>
					<td style='vertical-align: middle;'>
					<a class='btn btn-success btn-xs' name='".$r_sce[0]."' id='".$r_sce[0]."' onclick='guardar_nota(this.id,".$_POST['pen1'].",".$_POST['per1']."				
					)'>
                			<i class='glyphicon glyphicon-floppy-disk icon-white'></i>  
			                Guardar                                       
				            </a>
					<a class='btn btn-success btn-xs' name='".$r_sce[0]."' id='".$r_sce[0]."' onclick='perfil_academico(this.id,".$_POST['per1'].",".$_POST['pen1'].")'>
                			<i class='glyphicon glyphicon-list icon-white'></i>  
			                Consulta                                       
				            </a>
					<a class='btn btn-info btn-xs' name='".$r_sce[0]."' id='".$r_sce[0]."' onclick='edita_estudiante(this.id)'>
                			<i class='glyphicon glyphicon-edit icon-white'></i>  
			                Editar               
				            </a>
					<a class='btn btn-danger btn-xs' name='".$r_sce[0]."' id='".$r_sce[0]."' onclick='borra_estudiante(this.id,".$_POST['cur1'].")'>
                			<i class='glyphicon glyphicon-trash icon-white'></i>  
			                Borrar                                   
				            </a>

					
					</td></tr>";
					}
					$tbody.="</tbody>";
 }
}

if(isset($_POST['val2'])&&!empty($_POST['val2'])){

 if($_POST['val2']==1){
  $class1="";
  $class2="class=\"active\"";
  $act1="";
  $act2=" active ";

	$insertar_planilla="insert into planilla (anno,periodo,fecha_insert,estado,usuario)
	values('".$_POST['anno2']."',".$_POST['per2'].",now(),'A','".$_SESSION["user"]."'
	)";
//echo $insertar_planilla;

	if(mysql_query($insertar_planilla)){
	$men="<div class=\"alert alert-success\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Planilla Insertada                
			</div>";
		
	}else{
	$men="<div class=\"alert alert-danger\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Error al insertar planilla: ".mysql_error()."               
			</div>";
	}
 }
 if($_POST['val2']==2){ 

 $act_plan="update planilla set
			anno='".$_POST['anno2']."',
			periodo=".$_POST['per2'].",
			estado='".$_POST['estado2']."'
			where Id=".$_POST['ide2']." ";
 //echo $act_plan."<br>";
 
 if(mysql_query($act_plan)){
	$men="<div class=\"alert alert-success\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Planilla Actualizada                
			</div>";
		
	}else{
	$men="<div class=\"alert alert-danger\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Error al actualizar planilla: ".mysql_error()."               
			</div>";
	}
 }

}

$sel_planilla="select Id,
			anno,
			periodo,
			fecha_insert,
			estado,
			usuario 
			from planilla order by anno desc,periodo ";
$res_sel_planilla=mysql_query($sel_planilla);
$num_planillas=mysql_num_rows($res_sel_planilla);

$sel_planillas="select distinct
			anno
			from planilla order by anno desc";
	
		


if($num_planillas>0){
$tabla_planilla.="		<div class='table-responsive' align='center' style='margin:5px auto'>
					<table class='table table-striped table-bordered ' style='width:80%;'>
					<tr style='font-size:12px'>
						<th>A&ntilde;o</th><th>Periodo</th><th>Estado</th><th>&nbsp;</th>
					</tr>";
					
				while($planillas=mysql_fetch_array($res_sel_planilla)){	
				$c1='';$c2='';$a1='';$a2='';
				if($planillas[4]=='A'){$est='Activo';$lab='success ';$c1=' selected';}else{$c2=' selected';$est='Cerrada';$lab='danger ';}

				if($planillas[1]==date('Y')){$a1=' selected ';}
				if($planillas[1]==(date('Y')+1)){$a2=' selected ';}	
				if($planillas[2]==1){$b1=' selected ';}
				if($planillas[2]==2){$b2=' selected ';}
				if($planillas[2]==3){$b3=' selected ';}
				if($planillas[2]==4){$b4=' selected ';}				



$tabla_planilla.="			<tr style='font-size:12px'>
						<td>
					$planillas[1]
						</td>
						<td>
						$planillas[2]
						</td>
						<td style='font-size:13px'>
						<span class='label label-".$lab."'>".$est."</span>
						</td>
						<td>
						<a class='btn btn-info btn-xs' name='".$planillas[0]."' id='".$planillas[0]."' data-toggle='modal' data-target='#mimodala".$planillas[0]."'  >
		                			<i class='glyphicon glyphicon-edit icon-white'></i>  
					                ver               
					            </a>
						</td>
					</tr>";
					
			$tabla_planilla.="<div name='mimodala".$planillas[0]."' id='mimodala".$planillas[0]."' class='modal fade bs-example-modal-sm' tabindex='-1' role='dialog' aria-labelledby='mySmallModalLabel' aria-hidden='true'>
						  <div class='modal-dialog modal-md'>
						    <div class='modal-content'>
						      <div class='modal-header'>
							      <button type='button' class='close' data-dismiss='modal' aria-hidden='true'>x</button>
						      		<h4 class='modal-title' id='myLargeModalLabel'>Consultar Planilla</h4>
	      					      </div>
	      					      <div class='modal-body'>";
						
						     //     $select_obs_doc="select * from observacion_docente where planilla=".$_POST['per1']." and estudiante=".$r_sce[0]."   ";
						       //   $res_select_obs_doc=mysql_query($select_obs_doc);
						        //  while($r_sodoc=mysql_fetch_array($res_select_obs_doc)){

						$tabla_planilla.="
								 
								 <div class='input' style='float:left;width: 120px;padding-top: 5px;padding-left: 10px;text-align: left;height:20px;font-size:12px;' >
								A&ntilde;o &nbsp;  </div>
								 <div class='input' >
						
									<select id='_anno".$planillas[0]."' name='_anno".$planillas[0]."' class='form-control2' style='width:50%;margin-bottom: 10px'>";

					$res_sel_planillas=mysql_query($sel_planillas);
					while($planillas2=mysql_fetch_array($res_sel_planillas)){
							$a='';
							if($planillas2[0]==$planillas[1]){$a=' selected';}				
							
							$tabla_planilla.="<option $a value=".$planillas2[0].">".$planillas2[0]."</option> ";

						}

						$tabla_planilla.=" 	</select>		
						
						
						
						
						
								 </div>

								 <div class='input' style='float:left;width: 120px;padding-top: 5px;padding-left: 10px;text-align: left;height:20px;font-size:12px;' >
								Periodo &nbsp;  </div>
								 <div class='input' >
									<select id='_periodo".$planillas[0]."' name='_periodo".$planillas[0]."' class='form-control2' style='width:50%;margin-bottom: 10px'>
									 		<option $b1 value=1>1</option>
									 		<option $b2 value=2>2</option>		 		
									 		<option $b3 value=3>3</option>		 	
									 		<option $b4 value=4>4</option>		 											 												 		
									 	</select>
								
								
								 </div>
							   	
								 
								<div class='input' style='float:left;width: 120px;padding-top: 5px;padding-left: 10px;text-align: left;height:20px;font-size:12px;' >
								Estado&nbsp;  </div>
								 <div class='input' >
								 <select  id='_estado".$planillas[0]."' name='_estado".$planillas[0]."' class='form-control2' style='width:50%;margin-bottom: 10px'>
								 	<option value='A' $c1 >Activo</option>
								 	<option value='C' $c2 >Cerrado</option>
								 </select>
								 </div>
								 
								";
						 $tabla_planilla.="<div>
						 <button type=\"button\" class=\"btn btn-primary btn-xs\" onclick='actualizar_planilla(".$planillas[0].")' >Actualizar</button>
							<button type=\"button\" class=\"btn btn-info btn-xs\" data-dismiss='modal' >Cerrar</button>
							</div>";								
								
						$tabla_planilla.="
							</div>
						    </div>
						  </div>
						</div>	";
					
					
					
					
					
					}
					
					
$tabla_planilla.="			</table>

					</div>

					";
}



echo "
<!DOCTYPE html>
<html lang=\"en\">
  <head>
    <meta charset=\"utf-8\">
    <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\">
    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">
    <meta name=\"description\" content=\"\">
    <meta name=\"author\" content=\"\">
    <link rel=\"shortcut icon\" href=\"../assets/ico/favicon.ico\">
	<style>
	
		.btn-file {
		    position: relative;
		    overflow: hidden;
		}
		.btn-file input[type=file] {
		    position: absolute;
		    top: 0;
		    right: 0;
		    min-width: 100%;
		    min-height: 100%;
		    font-size: 999px;
		    text-align: right;
		    filter: alpha(opacity=0);
		    opacity: 0;
		    background: red;
		    cursor: inherit;
		    display: block;
		}
		input[readonly] {
			background-color: white !important;
			cursor: text !important;
		}
	
	
	.fileUpload {
	position: relative;
	overflow: hidden;
	margin: 10px;
	}
	.fileUpload input.upload {
	position: absolute;
	top: 0;
	right: 0;
	margin: 10px;
	padding: 10px;
	font-size: 12px;
	cursor: pointer;
	opacity: 0;
	filter: alpha(opacity=0);
	}
	</style>
    <title>Planilla</title>

    <!-- Bootstrap core CSS -->
    <link href=\"../dist/css/bootstrap.min.css\" rel=\"stylesheet\">

    <!-- Custom styles for this template -->
    <link href=\"../offcanvas.css\" rel=\"stylesheet\">

    <!-- Just for debugging purposes. Don't actually copy this line! -->
    <!--[if lt IE 9]><script src=\"../assets/js/ie8-responsive-file-warning.js\"></script><![endif]-->

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src=\"https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js\"></script>
      <script src=\"https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js\"></script>
	<script type='text/javascript' src='../dist/js/bootstrap-filestyle.min.js'> </script>

    <![endif]-->

    <script>

function actualizar_planilla(ide){
document.getElementById('anno2').value=document.getElementById('_anno'+ide).value;
document.getElementById('per2').value=document.getElementById('_periodo'+ide).value;
document.getElementById('estado2').value=document.getElementById('_estado'+ide).value;
document.getElementById('ide2').value=ide;

document.getElementById('val2').value=2;
document.forms['crear_planilla'].submit();



}

function guardar_nota_materia(est,pen,per,doc,mat){
//		alert(est+' '+pen+' '+per+' '+doc );
//		alert(document.getElementById('concepto-'+est).value);
//		alert(document.getElementById('comp1-'+est).value);
//		alert(document.getElementById('comp2-'+est).value);
//		alert(document.getElementById('comp3-'+est).value);


		document.getElementById('per1').value=per;
		document.getElementById('pen1').value=pen;
		document.getElementById('doc1').value=doc;
		document.getElementById('mat1').value=mat;		
		document.getElementById('estudiante').value=est;		
		document.getElementById('concepto').value=document.getElementById('concepto-'+est).value;				
		document.getElementById('componente1').value=document.getElementById('comp1-'+est).value;
		document.getElementById('componente2').value=document.getElementById('comp2-'+est).value;
		document.getElementById('componente3').value=document.getElementById('comp3-'+est).value;
		document.getElementById('pd_1a').value=est;		
		document.getElementById('sel_tipo_nota_1a').value=document.getElementById('sel_tipo_nota').value;
		
		
		document.getElementById('val1').value=6;
		document.forms['listar_planilla'].submit();

	





}    

function listar_nota_nueva(pen,per,doc,mat,nota){
	//alert(pen+' '+per+' '+doc+' '+nota );
//alert(mat );
//	alert('id nota '+document.getElementById('sel_tipo_nota').value);
		document.getElementById('per1').value=per;
		document.getElementById('doc1').value=doc;
		document.getElementById('pen1').value=pen;
		document.getElementById('mat1').value=mat;

		if(nota>0){
		document.getElementById('not1').value=nota;		
		document.getElementById('sel_tipo_nota_1a').value=nota;
		}
		else{
		document.getElementById('sel_tipo_nota_1a').value=document.getElementById('sel_tipo_nota').value;
		}
		document.getElementById('val1').value=5;
		document.forms['listar_planilla'].submit();

}

function borrar_nota_1(pen,per,doc,mat){
	if(confirm('Desea borrar esta nota?')){
		if(confirm('Se borraran las notas diligenciadas, desea continuar?')){

		document.getElementById('per1').value=per;
		document.getElementById('doc1').value=doc;
		document.getElementById('pen1').value=pen;
		document.getElementById('mat1').value=mat;		

		document.getElementById('sel_tipo_nota_1a').value=document.getElementById('sel_tipo_nota').value;
		document.getElementById('val1').value=4;
		document.forms['listar_planilla'].submit();
		
		}else{
		return false;
		}
	}else{
	return false;
	}
	

}
function guardar_nota_nueva(pen,per,doc,mat){
	//alert(pen);
	//alert(per);
	//alert(doc);
	//alert(document.getElementById('tipo_nota_1').value);
	//alert(document.getElementById('concepto_1').value);return false;
	if(document.getElementById('tipo_nota_1').value=='XX'){alert('Debe seleccionar tipo de nota valido');return false;}

	document.getElementById('pen_1a').value=pen;
	document.getElementById('per_1a').value=per;
	document.getElementById('tipo_nota_1a').value=document.getElementById('tipo_nota_1').value;	
	if(document.getElementById('concepto_1').value==''){alert('Debe digitar Concepto');return false;}
	else{document.getElementById('concepto_1a').value=document.getElementById('concepto_1').value;	}
	
	document.getElementById('per1').value=per;
	document.getElementById('doc1').value=doc;
	document.getElementById('pen1').value=pen;
	document.getElementById('mat1').value=mat;	
	
	
	document.getElementById('val1').value=3;
	document.perfil_academicos.action='planilla.php#perfil';
	document.forms['listar_planilla'].submit();

}    
    
function inserta_nota_consulta(ind,per,pen){

	document.getElementById('periodo4').value=per;
	document.getElementById('pensum4').value=pen;
	document.getElementById('indice4').value=ind;

	document.getElementById('tipoa_4').value=document.getElementById('tipo_notaa').value;
	document.getElementById('c1a_4').value=document.getElementById('c1a').value;
	document.getElementById('c2a_4').value=document.getElementById('c2a').value;
	document.getElementById('c3a_4').value=document.getElementById('c3a').value;
	document.getElementById('conceptoa4').value=document.getElementById('conceptoa').value;

	document.getElementById('val4').value=4;
	document.perfil_academicos.action='planilla.php#perfil';
	document.forms['perfil_academicos'].submit();


}
function borrar_nota(pla,ind,per,pen){
	document.getElementById('planilla4').value=pla;
	document.getElementById('periodo4').value=per;
	document.getElementById('pensum4').value=pen;
	document.getElementById('indice4').value=ind;
	
	document.getElementById('val4').value=3;
	document.perfil_academicos.action='planilla.php#perfil';
	document.forms['perfil_academicos'].submit();

}
function actualizar_nota(pla,ind,per,pen){

	document.getElementById('planilla4').value=pla;
	document.getElementById('periodo4').value=per;
	document.getElementById('pensum4').value=pen;
	document.getElementById('indice4').value=ind;
	
/*	alert(document.getElementById('c1-'+pla).value);
	alert(document.getElementById('c2-'+pla).value);
	alert(document.getElementById('c3-'+pla).value);		
	alert(document.getElementById('concepto-'+pla).value);*/
	
	document.getElementById('c1_4').value=document.getElementById('c1-'+pla).value;
	document.getElementById('c2_4').value=document.getElementById('c2-'+pla).value;
	document.getElementById('c3_4').value=document.getElementById('c3-'+pla).value;
	document.getElementById('concepto4').value=document.getElementById('concepto-'+pla).value;
	
	document.getElementById('val4').value=2;
	document.perfil_academicos.action='planilla.php#perfil';
	document.forms['perfil_academicos'].submit();
	

}

function guardar_nota(est,pen,per){

	document.getElementById('per1').value=per;
	document.getElementById('pen1').value=pen;
	document.getElementById('tipo_nota').value=document.getElementById('tipo_nota-'+est).value;
	
	if(document.getElementById('comp1-'+est).value==''){alert('Debe diligenciar todos los componentes de la nota');return false;}
	else{document.getElementById('componente1').value=document.getElementById('comp1-'+est).value;}
	if(document.getElementById('comp2-'+est).value==''){alert('Debe diligenciar todos los componentes de la nota');return false;}
	else{document.getElementById('componente2').value=document.getElementById('comp2-'+est).value;}
	if(document.getElementById('comp3-'+est).value==''){alert('Debe diligenciar todos los componentes de la nota');return false;}
	else{document.getElementById('componente3').value=document.getElementById('comp3-'+est).value;}
	if(document.getElementById('tipo_nota').value=='D' && document.getElementById('concepto-'+est).value==''){alert('Debe diligenciar Concepto de Nota');return false;}
	else{document.getElementById('concepto').value=document.getElementById('concepto-'+est).value;}
	
	document.getElementById('estudiante').value=est;
	document.getElementById('val1').value=2;
	document.forms['listar_planilla'].submit();
}
    
function agregar(doc){

	var k,c;
	k=1;c=0;
	var mat= document.getElementById('l_materias');
	var m1 = document.createElement('option');
	mat.options.length=0;";
	$sel2='false';
	//	$sel2='';
	$TABLA_ASIG = mysql_query("SELECT * FROM pensum where estado='A' order by nombre");
		while($munic = mysql_fetch_array($TABLA_ASIG)) {
		echo   "if(doc ==$munic[3]) {";
				$municipios =mysql_query("SELECT * FROM asignatura where subject_id=$munic[4] order by  nombre");
				if(isset($municipios)){
				echo "mat.options[0] = new Option('Seleccione Materia...', 'XX', false, false);";  
					while($m12 = mysql_fetch_array($municipios)) {
				
						// if($munic[4]==$_POST['pen1']){$sel2='true';}else{$sel2='false';}
						 echo "mat.options[k] = new Option('".$m12[2]."'+' - '+'".$munic[1]."' , '".$munic[0]."-".$munic[4]."',$sel2,$sel2);  
						 k++;";
					}
				}
			echo"}";
		}
	//<body onload=agregar(document.forms[0].depto.options[document.forms[0].depto.selectedIndex].value);>
echo	"}
	
function activar_docente(){
	if(document.getElementById('l_periodo').value!='XX')
	{
	document.getElementById('l_docente').disabled=false;
	document.getElementById('l_materias').disabled=false;
	}
	else{
	document.getElementById('l_docente').value='XX'
	//document.getElementById('l_docente').disabled=true;
	document.getElementById('l_materias').value='XX'
	//document.getElementById('l_materias').disabled=true;
	}

}
function perfil_academico(ind,per,pen){


	document.getElementById('periodo4').value=per;
	document.getElementById('pensum4').value=pen;
	document.getElementById('indice4').value=ind;
	
	document.getElementById('val4').value=1;
	document.perfil_academicos.action='planilla.php#perfil';
	document.forms['perfil_academicos'].submit();

}


function edita_estudiante(ind){
	document.getElementById('indice3').value=ind;
        
	document.getElementById('val3').value=3;
	document.editar_estudiante.action='planilla.php#edita';
	document.forms['editar_estudiante'].submit();
}

function borra_estudiante(ind,cur){
	document.getElementById('indice2').value=ind;
       	document.getElementById('cur1').value=cur;
	document.getElementById('val1').value=2;
	document.forms['listar_planilla'].submit();
}

function consulta_planilla(p,d,m){

//alert ('per: '+p+'doc: '+d+' pen:'+m+' asig:'+a);
//alert ('per: '+p+'doc: '+d+' pen:'+m);


  var mystr = m;
  var myarr = mystr.split('-');
  var myvar0 = myarr[0];  
  var myvar1 = myarr[1];  

//alert(myvar0);
//alert(myvar1);

if(p=='XX'){alert('Debe seleccionar Un Periodo');return false;}else{document.getElementById('per1').value=p;}
if(d=='XX'){alert('Debe seleccionar Un Docente');return false;}else{document.getElementById('doc1').value=d;}
if(m=='XX'){alert('Debe seleccionar Asignatura');return false;}else{document.getElementById('pen1').value=myvar0;}
if(m=='XX'){alert('Debe seleccionar Materia');return false;}else{document.getElementById('mat1').value=myvar1;}

document.getElementById('val1').value=1;
document.forms['listar_planilla'].submit();
}

function crea_planilla(){

if(document.getElementById('anno_').value=='XX'){alert('Debe seleccionar el a�o');return false;}
	else{document.getElementById('anno2').value=document.getElementById('anno_').value}
if(document.getElementById('periodo_').value=='XX'){alert('Debe seleccionar el periodo');return false;}
	else{document.getElementById('per2').value=document.getElementById('periodo_').value}


	document.getElementById('val2').value=1;
	document.forms['crear_planilla'].submit();			
}

function validarSiNumero(numero,id){
	if (!/^([0-9])*$/.test(numero))
	{alert('El valor ' + numero + ' no es un numero natural');document.getElementById(''+id).value=0;return false;}
	else{
		if(numero<0 ||numero>100){
		alert('la nota debes estar entre 0 y 100');
		document.getElementById(''+id).value=0;
		return false;
		}
	}
}

function validarEmail( email ) {
    expr = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
    if ( !expr.test(email) && email!='no tiene')
        alert('Error: La direccion de correo - ' + email + ' - es incorrecta.');
}
 
function mostrar_l(a,b,c,d,e,t){
//alert('est->'+a+' pen->'+b+' per->'+c+' doc->'+d+' mat->'+e+' not->'+t);

document.getElementById('val3').value=2;

document.getElementById('estudiante3').value=a;
document.getElementById('pensum3').value=b;
document.getElementById('periodo3').value=c;
document.getElementById('docente3').value=d;
document.getElementById('asignatura3').value=e;
document.getElementById('nota3').value=t;

document.editar_estudiante.action='planilla.php#edita';
document.forms['editar_estudiante'].submit();
}

function mostrar_o(a,b,c,d,e,t){
//alert('est->'+a);alert('pen->'+b);alert('per->'+c);alert('doc->'+d);alert('mat->'+e);
document.getElementById('val4').value=1;

document.getElementById('estudiante4').value=a;
document.getElementById('pensum4').value=b;
document.getElementById('periodo4').value=c;
document.getElementById('docente4').value=d;
document.getElementById('asignatura4').value=e;
document.getElementById('nota4').value=t;

document.editar_estudiante.action='planilla.php#perfil';
document.forms['perfil_academicos'].submit();
}




function inserta_logro(est,pen,per,doc,asi,not){
document.getElementById('estudiante3').value=est;
document.getElementById('pensum3').value=pen;
document.getElementById('periodo3').value=per;
document.getElementById('docente3').value=doc;
document.getElementById('asignatura3').value=asi;
document.getElementById('nota3').value=not;


document.getElementById('logro3').value=document.getElementById('l_logro').value;
document.getElementById('val3').value=3;
document.forms['editar_estudiante'].submit();
}

function borra_logro(id,est,pen,per,doc,asi,not){

document.getElementById('estudiante3').value=est;
document.getElementById('pensum3').value=pen;
document.getElementById('periodo3').value=per;
document.getElementById('docente3').value=doc;
document.getElementById('asignatura3').value=asi;
document.getElementById('nota3').value=not;

document.getElementById('logro3').value=id;

document.getElementById('val3').value=4;
document.forms['editar_estudiante'].submit();
    
}

function inserta_obs_doc(a,b,c,d,e,t){
alert('est->'+a+'pen->'+b+'per->'+c+'doc->'+d+' mat->'+e+' not->'+t);
document.getElementById('val4').value=2;

if(document.getElementById('fecha_obs_doc').value==''){alert('Debe Seleccionar Fecha del Incidente');return false;}
	else{document.getElementById('fecha_obs_doc4').value=document.getElementById('fecha_obs_doc').value;}
if(document.getElementById('valor1').value==''){alert('Debe Digitar Valor 1');return false;}
	else{document.getElementById('valor14').value=document.getElementById('valor1').value;}
if(document.getElementById('valor2').value==''){alert('Debe Digitar Valor 2');return false;}
	else{document.getElementById('valor24').value=document.getElementById('valor2').value;}

document.getElementById('estudiante4').value=a;
document.getElementById('pensum4').value=b;
document.getElementById('periodo4').value=c;
document.getElementById('docente4').value=d;
document.getElementById('asignatura4').value=e;
document.getElementById('nota4').value=t;
document.forms['perfil_academicos'].submit();
}
</script>
  
    
    
    
  </head>

  <body>
    <div class=\"navbar navbar-fixed-top navbar-inverse\" role=\"navigation\">
      <div class=\"container\">
 
           <a class=\"\" href=\"general.php\"><img src='../img/logo1.png' style='margin-top:5px'></a>
 
        
       <a href=\"index.php\"><img src='../img/salir.png' style='float:right;margin-top:15px'>
             	          <span style='float:right;margin-right:10px; margin-top:15px' class='label label-success'><span class='glyphicon glyphicon-user'></span> ".$_SESSION["user"]."</span>
       </a>
        
      </div><!-- /.container -->
    </div><!-- /.navbar -->


    <div class=\"container\">

      <div class=\"row row-offcanvas row-offcanvas-left\">

       <div class=\"col-xs-6 col-sm-3 sidebar-offcanvas\" id=\"sidebar\" role=\"navigation\">
          <div class=\"list-group\">
          <a href=\"general.php\" class=\"list-group-item \" data-rel='popover' data-content='Dashboard' data-original-title><span class=\"glyphicon glyphicon-home\"></span> General</a>
            <a href=\"estudiantes.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-th\"></span> Estudiantes</a>
            <a href=\"docentes.php\" class=\"list-group-item\"><span class=\"glyphicon glyphicon-user\"></span> Docentes</a>
            <a href=\"horario.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-edit\"></span> Horario</a>
            <a href=\"planilla.php\" class=\"list-group-item active\"><span class=\"glyphicon glyphicon-file\"></span> Planilla Notas</a>            
            <a href=\"planilla_obs.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-file\"></span> Planilla Obs.</a>
            <a href=\"reportes.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-file\"></span> Reportes</a>      
            <a href=\"pagos.php\" class=\"list-group-item\"><span class=\"glyphicon glyphicon-list\"></span> Pagos</a>
<a href=\"obs_disciplinarias.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-file\"></span> Obs. Disc.</a>                              
            	<a href=\"eventos.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-edit\"></span> Eventos</a>
          </div>
        </div><!--/span-->
		

        <div class=\"col-xs-12 col-sm-9\">
          <p class=\"pull-left visible-xs\">
            <button type=\"button\" class=\"btn btn-primary btn-xs\" data-toggle=\"offcanvas\">menu</button>
          </p>
    
	<div class=\"panel panel-default\">
	<br>";
echo $men;
echo	      "<!-- Nav tabs -->
	<ul class=\"nav nav-tabs\">
		<li >&nbsp;</li>";
		$onc='';		
		
		if(isset($_POST['estudiante4'])&&isset($_POST['pensum4'])&&isset($_POST['periodo4'])&&isset($_POST['docente4'])&&isset($_POST['asignatura4'])&&isset($_POST['nota4']))
		{$onc="listar_nota_nueva(".$_POST['pensum4'].",".$_POST['periodo4'].",".$_POST['docente4'].",".$_POST['asignatura4'].",".$_POST['nota4'].")";
		}
		if(isset($_POST['estudiante3'])&&isset($_POST['pensum3'])&&isset($_POST['periodo3'])&&isset($_POST['docente3'])&&isset($_POST['asignatura3'])&&isset($_POST['nota3']))
		{$onc="listar_nota_nueva(".$_POST['pensum3'].",".$_POST['periodo3'].",".$_POST['docente3'].",".$_POST['asignatura3'].",".$_POST['nota3'].")";
		}
		if(isset($_POST['pen1'])&&isset($_POST['per1'])&&isset($_POST['doc1'])&&isset($_POST['mat1'])&&isset($_POST['not1'])){
		$onc="listar_nota_nueva(".$_POST['pen1'].",".$_POST['per1'].",".$_POST['doc1'].",".$_POST['mat1'].",".$_POST['not1'].")";
		}
		
		
echo	  "<li $class1 ><a href=\"#home\"  data-toggle=\"tab\" onclick='".$onc."' >Planilla de Notas</a></li>
	  <li $class3 ><a href=\"#edita\" data-toggle=\"tab\">Planilla Logros</a></li>
	  <li $class4 ><a href=\"#perfil\" data-toggle=\"tab\">Observaciones</a></li>	  

	</ul>
	
	
	<!-- Tab panes -->

	<div class=\"tab-content\">
	
		
	
	
	
	
	
	
	
	<div class=\"tab-pane fade in $act4 \" id=\"perfil\">
		<form name='perfil_academicos' id='perfil_academicos' method='post' action='planilla.php#perfil' target='' enctype='multipart/form-data'>
		<input type='hidden' name='val4' id='val4' value='".$val4."'>
		<input type='hidden' name='estudiante4' id='estudiante4' value='".$estudiante4."'>
		<input type='hidden' name='periodo4' id='periodo4' value='".$periodo4."'>	
		<input type='hidden' name='pensum4' id='pensum4' value='".$pensum4."'>	
		<input type='hidden' name='docente4' id='docente4' value='".$docente4."'>		
		<input type='hidden' name='asignatura4' id='asignatura4' value='".$asignatura4."'>
		<input type='hidden' name='nota4' id='nota4' value='".$nota4."'>		
		
		<input type='hidden' name='logro4' id='logro4' value='".$logro4."'>
		<input type='hidden' name='fecha_obs_doc4' id='fecha_obs_doc4' value='".$fecha_obs_doc4."'>
		<input type='hidden' name='valor14' id='valor14' value='".$valor14."'>
		<input type='hidden' name='valor24' id='valor24' value='".$valor24."'>				
		
		<input type='hidden' name='indice4' id='indice4' value='".$indice4."'>	

		<input type='hidden' name='planilla4' id='planilla4' value='".$planilla4."'>		
	
	

		<div class=\"page\">
			<fieldset>
				<legend>
					<br><span class=\"glyphicon glyphicon-edit\"></span> Registro Diario Observaciones   
				</legend>		
";
echo 				$tabla_ins_obs_doc;
echo 				$tabla_obs_doc;
//echo 				$perfil_tabla2;
echo				"
			</fieldset>
			<fieldset>
				<legend>
						<br>
						
				</legend>

			</fieldset>	
				<br>
		</div>
		</form>
	</div>
	
	<div class=\"tab-pane fade in $act3 \" id=\"edita\">
		<form name='editar_estudiante' id='editar_estudiante' method='post' action='planilla.php#edita' target='' >
		<input type='hidden' name='val3' id='val3' value='".$val3."'>
		<input type='hidden' name='estudiante3' id='estudiante3' value='".$estudiante3."'>
		<input type='hidden' name='pensum3' id='pensum3' value='".$pensum3."'>
		<input type='hidden' name='periodo3' id='periodo3' value='".$periodo3."'>
		<input type='hidden' name='docente3' id='docente3' value='".$docente3."'>		
		<input type='hidden' name='asignatura3' id='asignatura3' value='".$asignatura3."'>
		<input type='hidden' name='logro3' id='logro3' value='".$logro3."'>		
		<input type='hidden' name='nota3' id='nota3' value='".$nota3."'>		
		

		
	


	<div class=\"page\">
			<fieldset>
				<legend>
					<br><span class=\"glyphicon glyphicon-edit\"></span> Planilla de Logros
				</legend>			
			</fieldset>";
echo $tabla_sel_logros;
echo $tabla_logros;	

		
		
		
echo 		"<fieldset>
		<legend>
					<br>
					
		</legend>	

						
		</fieldset>
			
			<br>
		</div>
	</form>
</div>


	<div class=\"tab-pane fade in $act2 \" id=\"profile\">
		<form name='crear_planilla' id='crear_planilla' method='post' action='planilla.php#profile' target='' enctype='multipart/form-data'>
		<input type='hidden' name='val2' id='val2' value='".$val2."'>	
		<input type='hidden' name='per2' id='per2' value='".$per2."'>
		<input type='hidden' name='anno2' id='anno2' value='".$anno2."'>		
		<input type='hidden' name='estado2' id='estado2' value='".$estado2."'>
		<input type='hidden' name='ide2' id='ide2' value='".$ide2."'>		
	
		<div class=\"page\">
			<fieldset>
				<legend>
					<br><span class=\"glyphicon glyphicon-plus\"></span> Crear Planilla
				</legend>			
			</fieldset>
		
		
		 <div class='input' style='float:left;width: 140px;padding-top: 5px;text-align: right;' >
			A&ntilde;o&nbsp;
		  </div>
		 <div class='input' >
       		 	<select id='anno_' name='anno_' class='form-control' style='width:48%;margin-bottom: 10px'>
		 		<option value='XX'>Seleccione A&ntilde;o</option>
		 		<option value=".date('Y').">".date('Y')."</option>
		 		<option value=".(date('Y')+1).">".(date('Y')+1)."</option>		 		
		 	</select>

		 </div>
		
		 <div class='input' style='float:left;width: 140px;padding-top: 5px;text-align: right;' >
			Periodo&nbsp;
		  </div>
		 <div class='input' >
   		 	<select id='periodo_' name='periodo_' class='form-control' style='width:48%;margin-bottom: 10px'>
		 		<option value='XX'>Seleccione Periodo</option>
		 		<option value=1>1</option>
		 		<option value=2>2</option>
		 		<option value=3>3</option>
		 		<option value=4>4</option>
		 	</select>
		 </div>
		 <div class='input' style='float:left;width: 140px;padding-top: 5px;text-align: right;' >
			&nbsp;
		  </div>
		 <div class='input' >
			<button type='button' class='btn btn-info btn-xs' onclick='crea_planilla()'> Crear Planilla</button>
		 </div>
		<br>
		<fieldset>";
echo 		$tabla_planilla;
echo		"</fieldset>


		</div>
	</form>
</div>

<div class=\"tab-pane fade in $act1 \" id=\"home\">
	<form name='listar_planilla' id='listar_planilla' method='post' action='planilla.php' target=''>
	<div class=\"page\">
	

	<input type='hidden' name='val1' id='val1' value='".$val1."'>	
	<input type='hidden' name='cur1' id='cur1' value='".$cur1."'>	
	<input type='hidden' name='indice2' id='indice2' value='".$indice2."'>	
	
	<input type='hidden' name='per1' id='per1' value='".$per1."'>	
	<input type='hidden' name='doc1' id='doc1' value='".$doc1."'>	
	<input type='hidden' name='pen1' id='pen1' value='".$pen1."'>		
	
	<input type='hidden' name='mat1' id='mat1' value='".$mat1."'>			
	<input type='hidden' name='not1' id='not1' value='".$not1."'>				
	
	<input type='hidden' name='tipo_nota' id='tipo_nota' value='".$tipo_nota."'>	
	<input type='hidden' name='componente1' id='componente1' value='".$componente1."'>	
	<input type='hidden' name='componente2' id='componente2' value='".$componente2."'>		
	<input type='hidden' name='componente3' id='componente3' value='".$componente3."'>	
	<input type='hidden' name='concepto' id='concepto' value='".$concepto."'>
	<input type='hidden' name='estudiante' id='estudiante' value='".$estudiante."'>		
	
	<input type='hidden' name='pen_1a' id='pen_1a' value='".$pen_1a."'>
	<input type='hidden' name='per_1a' id='per_1a' value='".$per_1a."'>
	<input type='hidden' name='tipo_nota_1a' id='tipo_nota_1a' value='".$tipo_nota_1a."'>
	<input type='hidden' name='concepto_1a' id='concepto_1a' value='".$concepto_1a."'>	
	
	<input type='hidden' name='sel_tipo_nota_1a' id='sel_tipo_nota_1a' value='".$sel_tipo_nota_1a."'>

	<input type='hidden' name='pd_1a' id='pd_1a' value='".$pd_1a."'>		
	
	
			
		<fieldset>
			<legend><span class=\"glyphicon glyphicon-th-list\"></span> 
				Planilla de Notas
";
				
		
					$select_planilla="select *  from planilla where estado='A' order by anno desc,periodo ";
					$res_select_planilla=mysql_query($select_planilla);
					
					$select_docente="select teacher_id,nombre  from docente where estado='A' order by nombre ";
					$res_select_docente=mysql_query($select_docente);
					
					
					echo "
					<select id='l_periodo' name='l_periodo' style='margin:20px;font-size: 12px;' onchange='activar_docente()' onclick='activar_docente()'>
					<option value='XX' >Seleccione Periodo</option>";
					while($r_sc=mysql_fetch_array($res_select_planilla)){
					$sel1='  ';
					if($_POST['per1']==$r_sc[0]){$sel1=' selected ';}
					//echo "hola";
					echo '<option style="font-size:9px" value="'.$r_sc[0].'"  '.$sel1.'  >P'.$r_sc[2].' - '.$r_sc[1].' </option>';
					}
					
ECHO				'</select>

			<select style="margin:20px;font-size: 12px;" name="l_docente" id="l_docente"  onchange="agregar(this.options[this.selectedIndex].value);"  >';

				$sql_doc="select teacher_id,nombre  from docente where estado='A' order by nombre";
				$result_sql_doc=mysql_query($sql_doc);
				echo '<option class="" value="XX" >Seleccione Docente</option>';
				while($r=mysql_fetch_array($result_sql_doc)){
				if( $r[1]==$d){$sel_doc=" selected ";}else{$sel_doc='';} 
				if($_POST['doc1']==$r[0]){$sel_doc=' selected ';}
						echo '<option value="'.$r[0].'"  '.$sel_doc.'>'.$r[1].'</option>';
				}
				
				
echo	"</select>
<select style=\"margin:20px;font-size: 12px;\" name=\"l_materias\" id=\"l_materias\"   >";

//if($sel2=='false'){
				//$m2 =mysql_query("SELECT codigo,nombre FROM asignatura ");
				$m2 =mysql_query("SELECT asignatura.subject_id,asignatura.nombre,pensum.subject_id,pensum.nombre FROM asignatura,pensum
							where pensum.asignatura_id=asignatura.subject_id
							and pensum.teacher_id=".$_POST['doc1']." 

							");//and pensum.subject_id=".$_POST['pen1']." 
				if(isset($m2)){
				
				while($m3=mysql_fetch_array($m2)) {
				$sel_mat='';
						//if($_POST['pen1']==$m3[2]){$sel_mat=' selected ';}
						if($_POST['mat1']===$m3[0]){$sel_mat=' selected ';}
						echo '<option value="'.$m3[2].'-'.$m3[0].'" '.$sel_mat.' >'.$m3[1].' - '.$m3[3].'</option>';
					}
			
				}
//}			
		
echo			"</select>
			<button type='button' class='btn btn-info btn-sm' onclick='consulta_planilla(document.getElementById(\"l_periodo\").value,
						document.getElementById(\"l_docente\").value,document.getElementById(\"l_materias\").value)'><i class='glyphicon glyphicon-zoom-in'></i> Buscar </button>      
			</legend>			
		</fieldset>
	</div>
	
	<fieldset>
";
	
echo $tabla_crea_nota;	
echo $tabla_res;	

		
//echo $tbody;
echo	"</table>

	</fieldset>
	
	
	
	</form>

</div>
 
         
        </div><!--/span-->

       
      </div><!--/row-->


      <footer>
        <p>&copy; Company 2022</p>
      </footer>

    </div><!--/.container-->

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src=\"https://code.jquery.com/jquery-1.10.2.min.js\"></script>
    <script src=\"../dist/js/bootstrap.min.js\"></script>
    <script src=\"../offcanvas.js\"></script>
  </body>
</html>
";
}else{
echo "<div align='center'>Debe registrase para usar la aplicaci&oacute;n <a href='index.php' > Registrar</a></div>";
}
?>